#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: wizards
version: 1.0.2
id: wizards-1.0.2-9TONZNhBSpX1j74ya4mNwV
key: wizards-1.0.2-9TONZNhBSpX1j74ya4mNwV
license: BSD-3-Clause
maintainer: liamoc@cse.unsw.edu.au
author: Liam O'\''Connor-Davis
synopsis: High level, generic library for interrogative user interfaces
description:
    @wizards@ is a package designed for the quick and painless development of /interrogative/ programs, which
    revolve around a \"dialogue\" with the user, who is asked a series of questions in a sequence much like an
    installation wizard.
    .
    Everything from interactive system scripts, to installation wizards, to full-blown shells can be implemented with
    the support of @wizards@.
    .
    It is developed transparently on top of a free monad, which separates out the semantics of the program from any
    particular interface. A variety of backends exist, including console-based "System.Console.Wizard.Haskeline" and
    "System.Console.Wizard.BasicIO", and the pure "System.Console.Wizard.Pure". It is also possible to write your
    own backends, or extend existing back-ends with new features. While both built-in IO backends operate on a
    console, there is no reason why @wizards@ cannot also be used for making GUI wizard interfaces.
    .
    .
    See the github page for examples on usage:
    .
    <http://www.github.com/liamoc/wizards>
    .
    For creating backends, the module "System.Console.Wizard.Internal" has a brief tutorial.
category: User Interfaces
abi: e75af8f926eb92c622d68fec2ea7c9cf
exposed: True
exposed-modules:
    System.Console.Wizard System.Console.Wizard.BasicIO
    System.Console.Wizard.Haskeline System.Console.Wizard.Internal
    System.Console.Wizard.Pure
import-dirs: /usr/lib/ghc-8.4.2/site-local/wizards-1.0.2
library-dirs: /usr/lib/ghc-8.4.2/site-local/wizards-1.0.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/wizards-1.0.2
hs-libraries: HSwizards-1.0.2-9TONZNhBSpX1j74ya4mNwV
depends:
    base-4.11.1.0 containers-0.5.11.0
    control-monad-free-0.6.1-64fD2vBsrr9nRjiHlGguM haskeline-0.7.4.2
    mtl-2.2.2 transformers-0.5.5.0
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             control-monad-free-0.6.1-64fD2vBsrr9nRjiHlGguM=dee0e8a7e7667d7afaa1ea9e9f5e6dde
             haskeline-0.7.4.2=ec686e7ab772bce48c95f1a97928cce3
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
haddock-interfaces: /usr/share/doc/haskell-wizards/html/wizards.haddock
haddock-html: /usr/share/doc/haskell-wizards/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

